> For the complete documentation index, see [llms.txt](https://developer.esw.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developer.esw.com/api-reference/package-api/package-dimension.md).

# Package Dimension

## GET /api/v4/PackageDimension

> GetMasterPackageDimensions - Get MasterPackageDimension by BrandCode

```json
{"openapi":"3.0.4","info":{"title":"Package API","version":"2.0.1395.0"},"tags":[{"name":"PackageDimension"}],"servers":[{"url":"https://logistics-package-api.sandbox.eshopworld.com/"}],"security":[{"Bearer":[]}],"components":{"securitySchemes":{"Bearer":{"type":"http","description":"Please insert JWT with Bearer into field","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"Package.Model.DTO.V4.PackageDimension.MasterPackageDimensionDto":{"type":"object","properties":{"masterPackageDimensions":{"type":"array","items":{"$ref":"#/components/schemas/Package.Model.DTO.V4.PackageDimension.MasterPackageDimension"},"description":"list of MasterPackageDimensionS","nullable":true}},"additionalProperties":false,"description":"DTO for MasterPackageDimension"},"Package.Model.DTO.V4.PackageDimension.MasterPackageDimension":{"type":"object","properties":{"id":{"type":"string","description":"Id of the MasterPackageDimension","nullable":true},"brandCode":{"type":"string","description":"Tenant code of the MasterPackageDimension","nullable":true},"tenantCode":{"type":"string","description":"Tenant code of the MasterPackageDimension","nullable":true},"boxCode":{"type":"string","description":"box code of the MasterPackageDimension","nullable":true},"width":{"type":"number","description":"Width of the MasterPackageDimension","format":"double","nullable":true},"height":{"type":"number","description":"Height of the MasterPackageDimension","format":"double","nullable":true},"length":{"type":"number","description":"Length of the MasterPackageDimension","format":"double","nullable":true},"measurement":{"$ref":"#/components/schemas/Package.Model.DTO.V4.PackageDimension.PackageDimensionMeasurement"}},"additionalProperties":false,"description":"Master Package Dimension"},"Package.Model.DTO.V4.PackageDimension.PackageDimensionMeasurement":{"enum":[0,1],"type":"integer","description":"Enum for PackageDimensionMeasurement","format":"int32"},"Package.Model.Exceptions.Error":{"type":"object","properties":{"message":{"type":"string","description":"Error message:\n\n\nBrand is not configured for Ship from Store;\n\nFromDate must be less than ToDate;\n\nInvalid PageNumber;\n\nInvalid PageSize;\n\nInvalid OrderId;\n\nInvalid TenantCode;\n\nAt least one OrderArticleId is required;\n\nHublocation is required;\n\nThis Tenants BrandCode Doesn't Exist;\n\nLabel GET Failed for Order {OrderId};\n\nInvalid value {Quantity} supplied;\n\n{PropertyName} is required;\n\n{PropertyName} has invalid length;\n\n{PropertyName} has invalid field value;\n\nPackageRequestMustBeSet: Request is not valid/well-formed;","nullable":true},"code":{"type":"integer","description":"Error code","format":"int32"}},"additionalProperties":false,"description":"Error information."}}},"paths":{"/api/v4/PackageDimension":{"get":{"tags":["PackageDimension"],"summary":"GetMasterPackageDimensions - Get MasterPackageDimension by BrandCode","operationId":"GetMasterPackageDimensionsV4","parameters":[{"name":"BrandCode","in":"query","description":"(Required) eShopWorld’s unique three-letter identifier for the retailer's brand.","schema":{"type":"string"}},{"name":"TenantCode","in":"query","description":"(Required) eShopWorld’s unique six-letter identifier for the retailer's brand.","schema":{"type":"string"}}],"responses":{"200":{"description":"MasterPackageDimension found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Package.Model.DTO.V4.PackageDimension.MasterPackageDimensionDto"}}}},"400":{"description":"Validation failure","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Package.Model.Exceptions.Error"}}}}},"401":{"description":"The request failed as a bad request.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Package.Model.Exceptions.Error"}}}},"404":{"description":"MasterPackageDimension not found","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Package.Model.Exceptions.Error"}}}}},"default":{"description":"Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Package.Model.DTO.V4.PackageDimension.MasterPackageDimension"}}}}}}}}}
```

## POST /api/v4/PackageDimension

>

```json
{"openapi":"3.0.4","info":{"title":"Package API","version":"2.0.1395.0"},"tags":[{"name":"PackageDimension"}],"servers":[{"url":"https://logistics-package-api.sandbox.eshopworld.com/"}],"security":[{"Bearer":[]}],"components":{"securitySchemes":{"Bearer":{"type":"http","description":"Please insert JWT with Bearer into field","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"Package.Model.DTO.V4.PackageDimension.PackageDimensionRequest":{"type":"object","properties":{"masterPackageDimensionId":{"type":"string","description":"(Required) unique identifier GUID.","format":"uuid","nullable":true},"brandCode":{"type":"string","description":"(Required) eShopWorld’s unique identifier for the retailer's brand.","nullable":true},"tenantCode":{"type":"string","description":"(Required) eShopWorld’s unique identifier for the retailer's brand.","nullable":true},"boxCode":{"type":"string","description":"box code of the MasterPackageDimension","nullable":true},"width":{"type":"number","description":"Width of the MasterPackageDimension","format":"double","nullable":true},"height":{"type":"number","description":"Height of the MasterPackageDimension","format":"double","nullable":true},"length":{"type":"number","description":"Length of the MasterPackageDimension","format":"double","nullable":true},"measurement":{"$ref":"#/components/schemas/Package.Model.DTO.V4.PackageDimension.PackageDimensionMeasurement"}},"additionalProperties":false,"description":"update request fot MasterPackageDimension"},"Package.Model.DTO.V4.PackageDimension.PackageDimensionMeasurement":{"enum":[0,1],"type":"integer","description":"Enum for PackageDimensionMeasurement","format":"int32"},"Package.Data.CosmosDb.Entities.PackageDimension":{"required":["brandCode"],"type":"object","properties":{"id":{"type":"string","nullable":true},"brandCode":{"minLength":1,"type":"string"},"tenantCode":{"type":"string","nullable":true},"boxCode":{"type":"string","nullable":true},"width":{"type":"number","format":"double","nullable":true},"height":{"type":"number","format":"double","nullable":true},"length":{"type":"number","format":"double","nullable":true},"measurement":{"$ref":"#/components/schemas/Package.Model.DTO.V4.PackageDimension.PackageDimensionMeasurement"},"ttl":{"type":"integer","format":"int32"}},"additionalProperties":false},"Package.Model.Exceptions.Error":{"type":"object","properties":{"message":{"type":"string","description":"Error message:\n\n\nBrand is not configured for Ship from Store;\n\nFromDate must be less than ToDate;\n\nInvalid PageNumber;\n\nInvalid PageSize;\n\nInvalid OrderId;\n\nInvalid TenantCode;\n\nAt least one OrderArticleId is required;\n\nHublocation is required;\n\nThis Tenants BrandCode Doesn't Exist;\n\nLabel GET Failed for Order {OrderId};\n\nInvalid value {Quantity} supplied;\n\n{PropertyName} is required;\n\n{PropertyName} has invalid length;\n\n{PropertyName} has invalid field value;\n\nPackageRequestMustBeSet: Request is not valid/well-formed;","nullable":true},"code":{"type":"integer","description":"Error code","format":"int32"}},"additionalProperties":false,"description":"Error information."}}},"paths":{"/api/v4/PackageDimension":{"post":{"tags":["PackageDimension"],"operationId":"PackageDimensionsV4","requestBody":{"content":{"application/json-patch+json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Package.Model.DTO.V4.PackageDimension.PackageDimensionRequest"}}},"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Package.Model.DTO.V4.PackageDimension.PackageDimensionRequest"}}},"text/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Package.Model.DTO.V4.PackageDimension.PackageDimensionRequest"}}},"application/*+json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Package.Model.DTO.V4.PackageDimension.PackageDimensionRequest"}}}}},"responses":{"200":{"description":"PackageDimension updated","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Package.Data.CosmosDb.Entities.PackageDimension"}}}},"400":{"description":"Validation failure","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Package.Model.Exceptions.Error"}}}}},"401":{"description":"The request failed as a bad request.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Package.Model.Exceptions.Error"}}}},"default":{"description":"Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Package.Data.CosmosDb.Entities.PackageDimension"}}}}}}}}}
```

## DELETE /api/v4/PackageDimension

> delete package dimension

```json
{"openapi":"3.0.4","info":{"title":"Package API","version":"2.0.1395.0"},"tags":[{"name":"PackageDimension"}],"servers":[{"url":"https://logistics-package-api.sandbox.eshopworld.com/"}],"security":[{"Bearer":[]}],"components":{"securitySchemes":{"Bearer":{"type":"http","description":"Please insert JWT with Bearer into field","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"Package.Model.Exceptions.Error":{"type":"object","properties":{"message":{"type":"string","description":"Error message:\n\n\nBrand is not configured for Ship from Store;\n\nFromDate must be less than ToDate;\n\nInvalid PageNumber;\n\nInvalid PageSize;\n\nInvalid OrderId;\n\nInvalid TenantCode;\n\nAt least one OrderArticleId is required;\n\nHublocation is required;\n\nThis Tenants BrandCode Doesn't Exist;\n\nLabel GET Failed for Order {OrderId};\n\nInvalid value {Quantity} supplied;\n\n{PropertyName} is required;\n\n{PropertyName} has invalid length;\n\n{PropertyName} has invalid field value;\n\nPackageRequestMustBeSet: Request is not valid/well-formed;","nullable":true},"code":{"type":"integer","description":"Error code","format":"int32"}},"additionalProperties":false,"description":"Error information."}}},"paths":{"/api/v4/PackageDimension":{"delete":{"tags":["PackageDimension"],"summary":"delete package dimension","operationId":"DeleteMasterPackageDimensionV4","parameters":[{"name":"brandCode","in":"query","description":"","schema":{"type":"string"}},{"name":"id","in":"query","description":"","schema":{"type":"string"}}],"responses":{"200":{"description":"Package deleted"},"400":{"description":"Validation failure","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Package.Model.Exceptions.Error"}}}}},"401":{"description":"The request failed as a bad request.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Package.Model.Exceptions.Error"}}}},"404":{"description":"Could not find package","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Package.Model.Exceptions.Error"}}}}},"409":{"description":"Package is not in a valid state for deletion","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Package.Model.Exceptions.Error"}}}}},"default":{"description":"Error","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Package.Model.Exceptions.Error"}}}}}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://developer.esw.com/api-reference/package-api/package-dimension.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
